# $Revision: 1.23.2.7 $, $Date: 2006/08/08 19:18:22 $
#
# TODO:
#	support for user switching
#	floaters isn't working
#
Summary:	GNOME screensaver
Summary(pl):	Wygaszacz ekranu GNOME
Name:		gnome-screensaver
Version:	2.14.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-screensaver/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	f76677180432a89ac46a8507fe34b45a
Source1:	%{name}.pamd
Source2:	http://ep09.pld-linux.org/~havner/%{name}-xscreensaver.tar.gz
# Source2-md5:	58ad753724418430fa93f02558056eab
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-cosmos_theme_dir.patch
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-menus-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	intltool >= 0.35
BuildRequires:	libexif-devel >= 0.6.12
BuildRequires:	libglade2 >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
Requires(post,preun):   GConf2
Requires:	libgnomeui >= 2.14.1
Requires:	xdg-menus
Obsoletes:	xscreensaver-gnome2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A new screensaver solution for GNOME, with better HIG dialogs and a
much better integration into the desktop than the old xscreensaver.

%description -l pl
Nowe rozwizanie wygaszcza ekranu dla GNOME, z bardziej zgodnymi z HIG
dialogami i lepsz integracj z desktopem ni stary xscreensaver.

%package xscreensaver
Summary:	Support for xscreensaver
Summary(pl):	Wsparcie dla xscreensaver
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xscreensaver-savers

%description xscreensaver
Support for xscreensaver.

%description xscreensaver -l pl
Wsparcie dla xscreensaver.

%prep
%setup -q -a2
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pam \
	--enable-locking \
	--with-dpms-ext \
	--with-mit-ext \
	--with-shadow \
	--with-xf86gamma-ext \
	--with-xf86vmode-ext \
	--with-xidle-ext \
	--with-xinerama-ext \
	--with-xscreensaverdir=%{_datadir}/xscreensaver \
	--with-xscreensaverhackdir=%{_libdir}/xscreensaver \
	--with-gdm-config=%{_datadir}/gdm/defaults.conf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no

_DIR=$(pwd)
cd %{name}-xscreensaver
# this one is provided by gnome-screensaver
rm -f popsquares.desktop
install * $RPM_BUILD_ROOT%{_datadir}/%{name}/themes
echo '%defattr(644,root,root,755)' > $_DIR/xscreensaver.files
for I in *; do
	echo "%{_datadir}/%{name}/themes/$I" >> $_DIR/xscreensaver.files
done
cd $_DIR

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-screensaver.schemas

%preun
%gconf_schema_uninstall gnome-screensaver.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/gnome-screensaver
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/gnome-screensaver-dialog
%attr(755,root,root) %{_libdir}/gnome-screensaver
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/gnome-screensaver-preferences.glade
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/cosmos-slideshow.desktop
%{_datadir}/%{name}/themes/footlogo-floaters.desktop
%{_datadir}/%{name}/themes/personal-slideshow.desktop
%{_datadir}/%{name}/themes/popsquares.desktop
%{_datadir}/%{name}/themes/cosmos
%{_datadir}/desktop-directories/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/gnome-screensaver.schemas
%{_sysconfdir}/xdg/menus/*

%files xscreensaver -f xscreensaver.files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-screensaver.spec,v $
Revision 1.23.2.7  2006/08/08 19:18:22  havner
- rm -f

Revision 1.23.2.6  2006/08/08 19:03:13  havner
- xscreensaver support (pregenerated desktop files based on
  xscreensaver 4.24)
- TODO
- changelog fixed

Revision 1.23.2.5  2006/08/08 17:11:52  havner
- mutual obsoletes (gnome-screensaver<->xscreensaver-gnome2), those
  packages theoreticaly can coexist but gnome xdg-menus/control-center
  shows only one of them anyway (common Name) and it may be undefined
  what gnome lock button is going to use (besides gnome-screensaver will
  have support for xscreensaver hacks soon)
- proper xscreensaver and gdm paths

Revision 1.23.2.4  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.23.2.3  2006/05/18 22:24:27  baggins
- release 3
- strict reqs

Revision 1.23.2.2  2006/05/15 17:54:34  baggins
- rel 2
- fixed BRs

Revision 1.23.2.1  2006/05/15 16:34:38  baggins
- from HEAD

Revision 1.23  2006/04/10 19:48:10  freetz
- merged from DEVEL and updated to 2.14.1

Revision 1.22.2.6  2006/03/13 15:16:58  freetz
- 2.14.0

Revision 1.22.2.5  2006/02/27 21:05:54  freetz
- 2.13.92, fixed gdm config location

Revision 1.22.2.4  2006/02/15 08:18:23  freetz
- 2.13.91

Revision 1.22.2.3  2006/01/31 15:28:04  freetz
- updated BR

Revision 1.22.2.2  2006/01/31 15:18:03  freetz
- 2.13.90

Revision 1.22.2.1  2006/01/26 13:33:31  patrys
- up to 2.13.5

Revision 1.22  2006/01/06 22:14:42  freetz
- 0.0.24

Revision 1.21  2005/12/21 22:22:46  patrys
- up to 0.0.23

Revision 1.20  2005/12/21 22:04:34  patrys
- pass xscreensaver path to configure

Revision 1.19  2005/12/15 16:34:50  freetz
- 0.0.22

Revision 1.18  2005/11/15 22:59:11  freetz
- 0.0.20

Revision 1.17  2005/11/15 19:12:57  paladine
- updated to 0.0.19

Revision 1.16  2005/11/06 10:54:22  freetz
- 0.0.18

Revision 1.15  2005/10/30 20:12:32  paladine
- updated to 0.0.17

Revision 1.14  2005/10/19 21:06:08  qboosh
- kill no locale
- safer libdir entries in files

Revision 1.13  2005/10/18 23:12:40  paladine
- fixed %%files

Revision 1.12  2005/10/18 23:04:30  patrys
- added BR: gnome-menus-devel

Revision 1.11  2005/10/13 20:07:05  freetz
- 0.0.16, more dirs

Revision 1.10  2005/09/30 00:09:11  patrys
- addedd missing BR:

Revision 1.9  2005/09/16 07:38:35  paladine
- updated to 0.0.13
- added xscreensaver patch (don't require xscreensaver at build time but
  use it at runtime if it's available)

Revision 1.8  2005/09/07 19:13:46  paladine
- updated to 0.0.12

Revision 1.7  2005/09/06 20:36:27  paladine
- updated to 0.0.11

Revision 1.6  2005/08/31 17:15:07  paladine
- updated to 0.0.10 (bug fixes, enable/disable locking)

Revision 1.5  2005/08/24 16:15:41  paladine
- updated to 0.0.9 (new themes)
- added cosmos_theme_dir patch
- sorted %%files
- itemize schemas

Revision 1.4  2005/07/27 20:04:54  qboosh
- sorted verify() flags, no need for default attr

Revision 1.3  2005/07/26 20:10:43  paladine
- reverted last change and added missing BR: pam-devel, thx freetz ;)

Revision 1.2  2005/07/26 19:38:43  paladine
- missing dir

Revision 1.1  2005/07/26 18:00:48  freetz
- initial
